Core - Bug # 67385

Status: Resolved Priority: Should have
Author: Xavier Perseguers Category: DBAL
Created: 2015-06-10 Assigned To: Xavier Perseguers
Updated: 2015-06-10 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity:

Is Regression: No

Sprint Focus: Stabilization Sprint

Subiject: SQL parser does not support string as join condition

Description

SQL parser is capable of parsing

JOIN T1 ON T1.some_field = T2.some_other_field

and

JOIN T1 ON T1.some_field = 4

(thus using an integer)

but not

JOIN T1 ON T1.some_field = 'some string'

Related issues:
related to Core - Bug # 66614: FAL processed files are deleted

Resolved

2015-04-27

Associated revisions

Revision 9067813e - 2015-06-10 11:19 - Xavier Perseguers

[BUGFIX] SQL parser does not support string as join condition

The SQL parser is capable of parsing
JOIN T1 ON T1.some_field = T2.some_other_field

and
JOIN T1 ON T1.some_field = 4

but not
JOIN T1 ON T1.some_field = 'some string'

Change-Id: 17806699ea44685ab717cc0e8a75f7b53a1b2b1cc
Resolves: #67385
Related: #66614

Releases: master, 6.2

2015-08-04
Reviewed-on: http:/review.typo3.org/40144

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>

Reviewed-by: Xavier Perseguers <xavier@typo3.org>
Tested-by: Xavier Perseguers <xavier@typo3.org>

Revision 6d44ed99 - 2015-06-10 11:25 - Xavier Perseguers

[BUGFIX] SQL parser does not support string as join condition

The SQL parser is capable of parsing
JOIN T1 ON T1.some_field = T2.some_other_field

and
JOIN T1 ON T1.some_field =4

but not
JOIN T1 ON T1.some_field = 'some string'

Change-Id: 17806699ea44685ab717cc0e8a75f7b53a1b2b1cc
Resolves: #67385

Related: #66614

Releases: master, 6.2

Reviewed-on: http://review.typo3.org/40145

Reviewed-by: Xavier Perseguers <xavier@typo3.org>
Tested-by: Xavier Perseguers <xavier@typo3.org>

History

#1 - 2015-06-10 11:06 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40144

#2 - 2015-06-10 11:20 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40145

#3 - 2015-06-10 11:30 - Xavier Perseguers
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9067813e321bf862b2da7574d9c44aa88df64356.

2015-08-04
